#
# spec file for package illum
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global commit 35f56ca1af82480029ba2adaba44959939b5d162
%global ccan_commit 3ed55657aa0208046cdb5c57cc9dbb2e6300a97b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global owner jmesmon
Name:           illum
Version:        v0.3+17+g35f56ca
Release:        2.1
Summary:        A daemon that responds to brightness keys by changing the backlight level
License:        AGPL-3.0
Group:          System/Base
Url:            https://github.com/jmesmon/illum
Source0:        https://github.com/%{owner}/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
Source1:        https://github.com/%{owner}/ccan/archive/%{ccan_commit}/ccan-%{ccan_commit}.tar.gz
BuildRequires:  libev-devel
BuildRequires:  libevdev-devel
BuildRequires:  ninja
BuildRequires:  pkgconfig

%description
While there are tools that can be configured to adjust brightness illum adjusts
brightness as soon as you install and enable it.

It uses exponential brightness stepping which happens to work well with many
screens and is hard to achieve with a plain shell script bound to a key with
more generic tool.

%prep
%setup -q -n %{name}-%{commit}
tar -zxf %{SOURCE1}
rmdir ccan
mv $(basename %{SOURCE1} .tar.gz) ccan

%build
# asan does not seem to work on 42.2 and earlier on non-x86
%if 0%{?suse_version} <= 1315 && 0%{?sle_version} < 120300
SANITIZE_FLAGS="" \
%endif
./build

%install
DESTDIR=%{buildroot} PREFIX=%{_prefix} ./do-install

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}-d
%{_prefix}/lib/systemd/system/%{name}.service

%changelog
* Mon Mar 13 2017 msuchanek@suse.com
- Import current git
    + fix up upstream spec file.
